Subject: bug#21952: closed (Re: bug#21952: 24.5; auto-revert-tail-mode doesn't work (perhaps because of nfs))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 02 Sep 2016 13:44:02 +0000

Your bug report

#21952: 24.5; auto-revert-tail-mode doesn't work (perhaps because of nfs)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21952: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21952
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21952: 24.5; auto-revert-tail-mode doesn't work (perhaps because of nfs)
From: Michael Albinus <[email-masked]>
To: Dan Dever <[email-masked]>
Cc: [email-masked]
Date: Fri, 02 Sep 2016 15:43:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dan Dever <[email-masked]> writes:

Hi Dan,

> On 08/23/2016 04:22 AM, Michael Albinus wrote:
>> When autorevert detects a file on a known mount location,
>> `auto-revert-use-notify' is set to nil per default. See
>> `auto-revert-notify-exclude-dir-regexp', which uses
>>
>> (regexp-opt '("/afs/" "/media/" "/mnt" "/net/" "/tmp_mnt/"))
>>
>> Perhaps, the file Dan wants to watch is mounted somewhere else. In this
>> case I recommend to extend that variable.
>>
>> Dan, could you check whether this works for you?
>
> This does work (tried it on emacs-25.0.95).
>
> I prefer just setting auto-revert-use-notify to nil, however, since
> we'd never be using auto-revert on locally mounted files anyways.  But
> thanks for mentioning the alternative.

Thanks for checking. So I will close this bug.

> What also works is the configuration switch that we recently
> discovered (and have used to build 25.1-rc1/-rc2):
> "--with-file-notification=no".
>
> I'm not sure I understand the preference for using a file notification
> utility by default for auto-revert when that utility only works on
> locally mounted files.  I haven't worked in an environment where our
> storage has been locally mounted in decades, and I've never had a
> reason to use auto-revert at home.

There are good reasons for file notifications. Think about working in a
git-controlled directory of source files, where file changes could
happen outside Emacs. You want to be informed about, immediately.

But if you don't need it, it is totally OK to compile without file
notification support.

> Thanks,
> Dan

Best regards, Michael.

Subject: 24.5; auto-revert-tail-mode doesn't work (perhaps because of nfs)
From: [email-masked]
To: [email-masked], [email-masked]
Date: Wed, 18 Nov 2015 10:00:15 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm accustomed to monitoring the log files of running jobs with emacs
using auto-revert-tail-mode.  This no longer works on Emacs 24, but 
works fine on previous versions of Emacs.  I don't know if the fact
that our disks are mounted via NFS is the problem or not, but I ran one
trial on a local disk in which auto-revert-tail-mode did work.

Regards,
Dan

Standard form below:
----------------------------------------------------------------

emacs -Q logfile
M->
M-x auto-revert-tail-mode

In GNU Emacs 24.5.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.20.1)
 of 2015-04-13 on ln-ddever
Windowing system distributor `Scientific Linux', version 11.0.11300000
System Description:	Red Hat Enterprise Linux Client release 6 (Carbon Update 4)

Configured using:
 `configure --prefix=/ddever/emacs/emacs-24.5'

Important settings:
  value of $LC_ALL: en_US
  locale-coding-system: iso-latin-1-unix

Major mode: Fundamental

Minor modes in effect:
  auto-revert-tail-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Mark set
File changed on disk, content may be missing.  Perform a full revert? (y or n) y
Reverting buffer `logfile'.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils autorevert filenotify
vc-dispatcher vc-svn time-date tooltip electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 72844 7584)
 (symbols 48 17666 0)
 (miscs 40 48 149)
 (strings 32 9868 4609)
 (string-bytes 1 283769)
 (vectors 16 9186)
 (vector-slots 8 386766 15190)
 (floats 8 68 422)
 (intervals 56 246 175)
 (buffers 960 13)
 (heap 1024 32659 870))